#include "kernel.h"    //handles timing in non-blocking way
#include "SevenSeg.h"  //maps characters to pin outs on shift register

// declare some global instances of the classes
Kernel kernel;
SevenSeg sev;


int count = 0;
void increment() {
    sev.display( count );
    count++;
    if ( count > 9999 ) {
        count = 0;
    }
}


void setup() {
    //set up the seven segment display class
    sev.setup();
    sev.setShift( 8, 12, 11);  //which pins the 
    sev.setDigits( 7,6,5,4 );
    sev.setSegmap( 0, 1, 2, 3, 4, 5, 6, 7);

    kernel.setInterval(100000UL, increment);
}

void loop() {
    kernel.runNext();
}
